@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:wght@300;400;500&family=Roboto:ital,wght@0,400;0,700;1,400;1,700&display=swap');

:root {
  --bg: #000000;
  --primary-font-color: #ffffff;
  --clock-font-color: #7fff00;
  --bookmark-title-font-color: #7fff00;
  --hover-font-color: #7fff00;
  --bookmark-font-size: 1.15rem;
  --searchBg: var(--bg);
  --fontFamily: 'Roboto', sans-serif;
}

body {
  background-color: var(--bg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin: 0px;
}

.container {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

#clock {
  font-family: sans-serif;
  font-size: 3.5rem;
  font-weight: 600;
  font-family: var(--fontFamily);
  color: var(--clock-font-color);
  margin-bottom: 0.25em;
  text-decoration: underline;
}

#search {
  width: 100%;
  height: 100vh;
  background-color: var(--searchBg);
  display: none;
  position: absolute;
  box-sizing: border-box;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#search-field {
  width: 90%;
  padding: 0.75em 1em;
  box-sizing: border-box;
  background-color: var(--searchBg);
  border: solid 0px var(--searchBg);
  font-family: var(--fontFamily);
  font-size: 4rem;
  color: var(--primary-font-color);
  outline: none;
  border-radius: 3px;
  margin-bottom: 1em;
  text-align: center;
}

.weather-container {
  width: auto;
  padding: 1em;
  border-radius: 3px;
  font-family: var(--fontFamily);
  color: var(--primary-font-color);
  text-align: center;
  font-size: 1.1rem;
}
.inline {
  display: inline-block;
}

#bookmark-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 70%;
  margin: 1em 0em;
}

@media only screen and (max-width: 960px) {
  .container {
    height: auto;
  }
  #clock {
    margin-top: 1em;
  }
  .container > #bookmark-container {
    flex-direction: column;
    width: 60%;
  }
  #bookmark-container > .bookmark-set {
    width: auto;
    margin: 1em 0em;
  }
}

.bookmark-set {
  padding: 0.1em;
  opacity: var(--bookmark-opacity);
  font-family: var(--fontFamily);
  font-size: var(--bookmark-font-size);
  font-weight: 500;
  width: fit-content;
  height: auto;
  margin: 0em 0.5em;
  box-sizing: border-box;
  border-radius: 25px;
}

.bookmark-inner-container {
  overflow-y: auto;
  height: 100%;
  vertical-align: top;
  padding-right: 6px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  scrollbar-width: thin;
  scrollbar-color: var(--scrollbarColor) #ffffff00;
}

.bookmark-inner-container::-webkit-scrollbar {
  width: 6px;
}
.bookmark-inner-container::-webkit-scrollbar-track {
  background: #ffffff00;
}
.bookmark-inner-container::-webkit-scrollbar-thumb {
  background-color: var(--scrollbarColor);
  border-radius: 6px;
  border: 3px solid #ffffff00;
}

.bookmark-title {
  font-size: 1.3rem;
  font-weight: 600;
  color: var(--bookmark-title-font-color);
  padding: 0.5rem;
}

.bookmark {
  text-decoration: none;
  border-radius: 0.25rem;
  color: var(--primary-font-color);
  display: inline-block;
  padding: 0.4rem;
  transition:
    background-color 0.2s ease-in-out,
    color 0.2s ease-in-out;
}

.bookmark:hover {
  color: var(--hover-font-color);
  background-color: #323237; /* lighter hover shade */
}

.weather-icon {
  width: 20px;
  height: 20px;
  vertical-align: middle;
}
